
clear datafile info
path(path,'../matlab')
datafile.name='joint_data.csv';
datafile.format='csv';  % can be "csv", "space", "tab" or ";"

info.header = {'ID','TIME','AMT','Y','YTYPE','COV','COV','COV','CAT','CAT','CAT'};
info.observation.name={'Concentration','PCA','Hemorrhaging','State'};
info.observation.type={'continuous','continuous','event','categorical'};
info.observation.unit={'mg/l','%','',''};
info.observation.category{4}={'low','high'};
info.covariate.unit={'kg','cm','year','','',''};
info.time.unit='h';
info.dose.unit={'mg/kg'};

%%
data=readdatapx(datafile,info);
exploredatapx(data)

datas=splitdatapx(data);
rescov=summarypx(datas.covariate);
disp(rescov)

