function exploredatapx(data)
%EXPLOREDATA Graphical exploration of  data   

% This software is governed by the CeCILL-B license. You can  use,
% modify and/ or redistribute the software under the terms of the CeCILL
% license as circulated by CEA, CNRS and INRIA at the following URL
% "http://www.cecill.info/index.en.html". 

% Popixplore 1.0
% Marc Lavielle, Inria 
% May 2013

if iscell(data)
    data=splitdatapx(data);
end
% variableList={};
% if isfield(data,'id')
%     id=data.id;
%     nid=length(id);
%     idname=cellfun(@(id)id.name,id,'uniformoutput',false);
% else
%     nid=1;
%     idname='id';
% end
%    variableList=[variableList 'id'];
    variableList={'id'};
    nid=1;
if isfield(data,'covariate')
    c=data.covariate;
    nc=length(c);
    cname=cellfun(@(c)c.name,c,'uniformoutput',false);
    variableList=[variableList cname];
else
    nc=0;
end
if isfield(data,'regressor')
    x=data.regressor;
    nx=length(x)+1;
    xname=cellfun(@(x)x.name,x,'uniformoutput',false);
    variableList=[variableList x{1}.header(3) xname];
else
    variableList=[variableList 'time'];
    nx=1;
end
if isfield(data,'observation')
    y=data.observation;
ny=length(y);
yname=cellfun(@(y)y.name,y,'uniformoutput',false);
    variableList=[variableList yname];
else
    ny=0;
end
if isfield(data,'prediction')
    yp=data.prediction;
np=length(yp);
ypname=cellfun(@(yp)yp.name,yp,'uniformoutput',false);
    variableList=[variableList ypname];
else
    np=0;
end
if isfield(data,'source')
    u=data.source;
end

%%
variableType=cell(1,length(variableList));
variableType(1:nid)={'id'};
variableType(nid+1:nid+nc)={'covariate'};
variableType(nid+nc+1:nid+nc+nx)={'regressor'};
variableType(nid+nc+nx+1:nid+nc+nx+ny)={'observation'};
variableType(nid+nc+nx+ny+1:nid+nc+nx+ny+np)={'prediction'};
variableNum=[1:nid 1:nc 1:nx 1:ny 1:np];
isep=zeros(1,length(variableType));
isep([nid nid+nc nid+nc+nx nid+nc+np]+1)=1;
opt.segment=1;

i1=find(strcmp(variableType,'regressor'));
k1=i1(1);
i2=find(strcmp(variableType,'observation'));
k2=i2(1);
k3=0;

%%%%%%%%%%%%%%%%%%%%%%%%%%

save tempexplore 

if ~exist('gcf')
    opt.hf=1;
else
      opt.hf=gcf;
end  
figure(opt.hf)
clf
explorepx
explorepx(1)
colormap(copper)


