function explorepx(varargin)
%EXPLOREPX Function used by EXPOREDATA

% This software is governed by the CeCILL-B license. You can  use,
% modify and/ or redistribute the software under the terms of the CeCILL
% license as circulated by CEA, CNRS and INRIA at the following URL
% "http://www.cecill.info/index.en.html". 

% Popixplore 1.0
% Marc Lavielle, Inria 
% May 2013

iplotall=0;
if nargin==1
    iopmenu=0;
    if varargin{1}==1
        iplotall=1;
    end
else
    iopmenu=1;
end

load tempexplore

if exist('optsegment')
    opt.segment=optsegment;
end

num1=variableNum(k1);
if iplotall
    if strcmp(variableType{k1},'regressor')
        opt.ix=num1;
    else
                opt.ix=num1;
    end
%     opt.xname=x{num1}.name;
%     opt.xunit=x{1}.unit;
    plotallypx(y,opt)
else
    
    num2=variableNum(k2);
    if k3>0
        num3=variableNum(k3);
    end
    
    switch variableType{k2}
        case 'observation'
            yh=y{num2}.header;
            yn=y{num2}.name;
            y2=y{num2}.values;
            type2=y{num2}.type;
            yu=y{num2}.unit;
            iyy=find(strcmp(yh,yn));
            iyid=find(strcmp(yh,'iid'));
            Y=y2(:,iyy);
            ID=y2(:,iyid);
            opt.yunit=yu{iyy};
            if strcmp(type2,'categorical') 
                %                opt.ylabel=mat2cell(num2str(y{num2}.category),ones(size(y{num2}.category)));
                opt.ylabel=y{num2}.category;
            end
            if strcmp(type2,'event')
  %              iyt=find(strcmp(yh,'time'));
  iyt=length(y{num2}.level)+1;
                T=y2(:,iyt);
                Ye=Y;
                [X,Y,infoevent]=kmpx(ID,T,Ye);
                opt.type='event';
                opt.xunit=yu{iyt};
                opt.repeated=infoevent.repeated;
            else
                switch variableType{k1}
                    case 'regressor'
                        X=y2(:,num1+2);
                        opt.xunit=yu{num1+2};
                        if strcmp(type2,'categorical') 
                            opt.type='cat';
                        else
                            opt.type='scatterid';
                        end
                    case 'covariate'
                        X=c{num1}.values(ID,2);
                        opt.xunit=c{num1}.unit{2};
                        if strcmp(c{num1}.type,'continuous')
                            if strcmp(type2,'categorical') 
                                opt.type='cat';
                            else
                                opt.type='scatter';
                            end
                        else
                            opt.xlabel=c{num1}.category;
                            if strcmp(type2,'categorical') 
                                opt.type='bar';
                            else
                                opt.type='boxplot';
                            end
                        end
                    case 'id'
                        opt.xunit='';
                        X=ID;
                        opt.type='scatter';
                    case 'observation'
                        Y2=Y;
                        y1=y{num1}.values;
                        yh=y{num1}.header;
                        yn=y{num1}.name;
                        yu=y{num1}.unit;
                        iyy=find(strcmp(yh,yn));
                        Y1=y1(:,iyy);
                        opt.xunit=yu{iyy};
                        X1=y1(:,3);
                        X2=y2(:,3);
                        id1=y1(:,1);
                        id2=ID;
                        [X,Y,ID]=scatinterpx(X1,X2,Y1,Y2,id1,id2);
                        opt.type='scatterid';
                end
            end
            
        case 'covariate'
            Y=c{num2}.values(:,2);
            opt.yunit=c{num2}.unit{2};
            N=size(Y,1);
            if strcmp(c{num2}.type,'categorical')
                opt.ylabel=c{num2}.category;
            end
            switch variableType{k1}
                case 'covariate'
                    opt.xunit=c{num1}.unit{2};
                    if strcmp(c{num1}.type,'continuous')
                        if strcmp(c{num2}.type,'categorical')
                            opt.type='cat';
                        else
                            opt.type='scatter';
                        end
                    else
                        opt.xlabel=c{num1}.category;
                        if strcmp(c{num2}.type,'categorical')
                            opt.type='bar';
                        else
                            opt.type='boxplot';
                        end
                    end
                    X=c{num1}.values(:,2);
                    ID=c{num1}.values(:,1);
                case 'id'
                    opt.xunit='';
                    ID=(1:N);
                    X=ID;
                    opt.type='scatter';
            end
    end
    if exist('c')
        ctype=cellfun(@(c)c.type,c,'uniformoutput',false);
        icat=find(strcmp(ctype,'categorical'));
    else
        icat=[];
    end
    if exist('X') && exist('Y')
        opt.xname=variableList{k1};
        opt.yname=variableList{k2};
        if k3>0
            c3=c{icat(k3)};
            opt.gname=c3.name;
            opt.glabel=c3.category;
            [ocat,~,g]=unique(c3.values(:,2));
            G=g(ID);
            opt.category=ocat;
            
            if strcmp(opt.type,'event')
                ncat=length(ocat);
                X=cell(ncat,2);
                Y=cell(ncat,2);
                for k=1:ncat
                    ik=find(G==k);
                    [Xk,Yk]=kmpx(ID(ik),T(ik),Ye(ik));
                    X(k,:)=Xk;
                    Y(k,:)=Yk;
                end
            end
        else
            G=ones(size(ID));
            opt.category=1;
        end
        plotpx(X,Y,G,ID,opt)
    end
end
%%
if iopmenu
    hx=uimenu('label','X');
    hy=uimenu('label','Y');
    hz=uimenu('label','G');
    ho=uimenu('label','Options');
    
    for k=1:length(variableList)
        clbx=['k1=',num2str(k),';  save(''tempexplore.mat'',''k1'',''-append''); explorepx(0);'];
        clby=['k2=',num2str(k),';  save(''tempexplore.mat'',''k2'',''-append''); explorepx(0);'];
        %        clbz=['k3=',num2str(k),';  save(''tempexplore.mat'',''k2'',''-append''); explorepx(0);'];
        if isep(k)==0
            uimenu(hx,'label',variableList{k},'callback',clbx);
            uimenu(hy,'label',variableList{k},'callback',clby);
        else
            uimenu(hx,'label',variableList{k},'callback',clbx,'Separator','on');
            uimenu(hy,'label',variableList{k},'callback',clby,'Separator','on');
        end
    end
    uimenu(hy,'label','all','callback','explorepx(1)','Separator','on');
    
    clbz=['k3=0;  save(''tempexplore.mat'',''k3'',''-append''); explorepx(0);'];
    uimenu(hz,'label','none','callback',clbz);
    for k=1:length(icat)
        clbz=['k3=',num2str(k),';  save(''tempexplore.mat'',''k3'',''-append''); explorepx(0);'];
        uimenu(hz,'label',c{icat(k)}.name,'callback',clbz);
    end
    
    
    hoc=uimenu(ho,'label','colormap');
    clist={'jet','gray','hot','cool','autumn','spring','bone','copper'};
    for k=1:length(clist)
        ck=clist{k};
        uimenu(hoc,'label',ck,'callback',['colormap(',ck,');'])
        %    uimenu(hoc,'label',ck,'callback',['colormap(','autumn',')'])
    end
    
    hos=uimenu(ho,'label','segment');
    clbo=['optsegment=0;  save(''tempexplore.mat'',''optsegment'',''-append''); explorepx(0);'];
    uimenu(hos,'label','no','callback',clbo)
    clbo=['optsegment=1;  save(''tempexplore.mat'',''optsegment'',''-append''); explorepx(0);'];
    uimenu(hos,'label','yes','callback',clbo)
    hov=uimenu(ho,'label','axis');
    uimenu(hov,'label','x-axis','callback','traxispx(1)')
    uimenu(hov,'label','y-axis','callback','traxispx(2)')
    uimenu(hov,'label','linear','callback','traxispx(3)')
    uimenu(hov,'label','semilog','callback','traxispx(4)')
end


