function [X,Y,info]=kmpx(id,t,y)
%KMPX Compute the Kaplan-Meyer estimate

% This software is governed by the CeCILL-B license. You can  use,
% modify and/ or redistribute the software under the terms of the CeCILL
% license as circulated by CEA, CNRS and INRIA at the following URL
% "http://www.cecill.info/index.en.html". 

% Popixplore 1.0
% Marc Lavielle, Inria 
% May 2013

%% Kaplan Meier (first event)
ij=find(t>0);
[temp,ij1,kk]=unique(id(ij),'first');
if length(ij1)<length(kk)
    info.repeated=1;
else
        info.repeated=0;
end
[t1,is]=sort(t(ij(ij1)));
%id1=id(ij(ij1));
y1=y(ij(ij1));
% [t1,is]=sort(t(ij));
% id1=id(ij);
% y1=y(ij);
%id1=id1(is);
y1=y1(is);
Nt=length(t1);
u1=(Nt:-1:1)';
u2=u1+cumsum(y1)-1;
x=[0 ; t1];
p=[1 ; u1./u2];
% ux=unique(t1);
% nt=cumsum(histc(t1,ux));
% p=[1 ; (Nt-nt(1:end-1))/Nt];
% if length(ux)>1
%     x=[0 ; kron(ux(1:end-1),ones(2,1)) ; ux(end)];
% else
%     x=[0 ; ux(end)];
% end
% p=kron(p,ones(2,1));

%% Mean number of events
N=max(id);
nt=100;
ij1=find(y>0 & t>0);
id1=id(ij1);
t1=t(ij1);
vt=linspace(0,max(t),nt);
St=0;
for i=1:N
    ii1=find(id1==i);
    ti1=t1(ii1);
    ni1=length(ii1);
    Si=zeros(1,nt);
    for k=1:ni1
        Si=Si+(vt>=ti1(k));
    end
    St=St+Si;
end
mt=St/N;


%%
X{1}=x(:);
Y{1}=p(:);
X{2}=vt(:);
Y{2}=mt(:);

