function [X,Y,ID]=scatinterpx(X1,X2,Y1,Y2,id1,id2)
%SCATERINTERPX Interpolation for a scatter plot

% This software is governed by the CeCILL-B license. You can  use,
% modify and/ or redistribute the software under the terms of the CeCILL
% license as circulated by CEA, CNRS and INRIA at the following URL
% "http://www.cecill.info/index.en.html". 

% Popixplore 1.0
% Marc Lavielle, Inria 
% May 2013

N=min(max(id1),max(id2));
X=[];
Y=[];
ID=[];
for i=1:N
    j1=find(id1==i);
    j2=find(id2==i);
    x1=X1(j1);
    x2=X2(j2);
    y1=Y1(j1);
    y2=Y2(j2);
    
    [xi,yi]=scatinterp(x1,y1,x2,y2);
    ID=[ID;repmat(i,length(xi),1)];
    X=[X;xi];
    Y=[Y;yi];
end


function [yc1,yc2]=scatinterp(x1,y1,x2,y2)

interpMethod='linear';

[x12,j1,j2]=intersect(x1,x2);
y11=y1(j1);
y22=y2(j2);
yi1=interp1(x1,y1,x2,interpMethod);
yi2=interp1(x2,y2,x1,interpMethod);

xi1=x2;
xi1(j2)=[];
ys1=y1;
ys1(j1)=[];
xi2=x1;
xi2(j1)=[];
ys2=y2;
ys2(j2)=[];
yi1(j2)=[];
yi2(j1)=[];

[xs,is]=sort([xi1;xi2;x12]);
yc1=[yi1;ys1;y11];
yc2=[ys2;yi2;y22];
yc1=yc1(is);
yc2=yc2(is);



