function traxispx(opt)
%TRAXISPX Transformations of the axis  

% This software is governed by the CeCILL-B license. You can  use,
% modify and/ or redistribute the software under the terms of the CeCILL
% license as circulated by CEA, CNRS and INRIA at the following URL
% "http://www.cecill.info/index.en.html". 

% Popixplore 1.0
% Marc Lavielle, Inria 
% May 2013

switch opt
    
    case 1
        minx=Inf;
        maxx=-Inf;
        h=get(gcf,'children');
        g=[];
        for k=1:length(h)
            if strcmp(get(h(k),'type'),'axes')
                xlim=get(h(k),'xlim');
                g=[g ; h(k)];
                minx=min([minx, xlim(1)]);
                maxx=max([maxx, xlim(2)]);
            end
        end
        set(g,'xlim',[minx maxx])
        
        
        %%
        
    case 2
        miny=Inf;
        maxy=-Inf;
        h=get(gcf,'children');
        g=[];
        for k=1:length(h)
            if strcmp(get(h(k),'type'),'axes')
                ylim=get(h(k),'ylim');
                g=[g ; h(k)];
                miny=min([miny, ylim(1)]);
                maxy=max([maxy, ylim(2)]);
            end
        end
        set(g,'ylim',[miny maxy])
        
        %%
    case 3
        h=get(gcf,'children');
        for k=1:length(h)
            if strcmp(get(h(k),'type'),'axes')
                set(h(k),'yscale','linear');
            end
        end
        
        %%
    case 4
        h=get(gcf,'children');
        for k=1:length(h)
            if strcmp(get(h(k),'type'),'axes')
                set(h(k),'yscale','log');
            end
        end
        
end

